# Class pyglet.image.BufferImage

    AbstractImage --+
                    |
                   BufferImage

Known Subclasses:
  BufferImageMask, ColorBufferImage, DepthBufferImage

An abstract framebuffer.

## Methods

| __init__(self, x, y, width, height)
ImageData | get_image_data(self) Get an ImageData view of this image.
AbstractImage | get_region(self, x, y, width, height) Retrieve a rectangular region of this image.
| __repr__(self) (Inherited from pyglet.image.AbstractImage)
| blit(self, x, y, z=0) Draw this image to the active framebuffers. (Inherited from pyglet.image.AbstractImage)
| blit_into(self, source, x, y, z) Draw `source` on this image. (Inherited from pyglet.image.AbstractImage)
| blit_to_texture(self, target, level, x, y, z=0) Draw this image on the currently bound texture at `target`. (Inherited from pyglet.image.AbstractImage)
Texture | get_mipmapped_texture(self) Retrieve a Texture instance with all mipmap levels filled in. (Inherited from pyglet.image.AbstractImage)
Texture | get_texture(self, rectangle=False) A Texture view of this image. (Inherited from pyglet.image.AbstractImage)
| save(self, filename=None, file=None, encoder=None) Save this image to a file. (Inherited from pyglet.image.AbstractImage)

## Properties

ImageData | image_data An ImageData view of this image. (Inherited from pyglet.image.AbstractImage)
Texture | mipmapped_texture A Texture view of this image. (Inherited from pyglet.image.AbstractImage)
Texture | texture Get a Texture view of this image. (Inherited from pyglet.image.AbstractImage)

## Instance Variables

int | anchor_x = `0` X coordinate of anchor, relative to left edge of image data (Inherited from pyglet.image.AbstractImage)
int | anchor_y = `0` Y coordinate of anchor, relative to bottom edge of image data (Inherited from pyglet.image.AbstractImage)
int | height Height of image (Inherited from pyglet.image.AbstractImage)
int | width Width of image (Inherited from pyglet.image.AbstractImage)

## Class Variables

| gl_buffer = `1029` The OpenGL read and write target for this buffer.
| gl_format = `0` The OpenGL format constant for image data.
| format = ``'````'`` The format string used for image data.
| owner = `None`

## Method Details

### __init__

(Constructor) __init__(self, x, y, width, height)

Overrides:
  AbstractImage.__init__

### get_image_data

get_image_data(self)

Get an ImageData view of this image.

Changes to the returned instance may or may not be reflected in this image.

Returns: ImageData
Overrides:
  AbstractImage.get_image_data

Since: pyglet 1.1

### get_region

get_region(self, x, y, width, height)
Retrieve a rectangular region of this image.

Returns: AbstractImage
Overrides:
  AbstractImage.get_region